Relesys API Docs

v1.4

https://api.relesysapp.net/api/v1.4

Stage Comments

List
GET /serviceformModules/{moduleId}/forms/{formId}/stageComments
https://api.relesysapp.net/api/v1.4/serviceformModules/{moduleId}/forms/{formId}/stageComments
Get a list of stage comments for the form with ID formId.

Please note: This endpoint is only available if stages are enabled on the service form module.
Scopes: relesys.api, relesys.api:read, relesys.api.serviceform, relesys.api.serviceform:read
URL Path
moduleId string / guid required
formId string / guid required
Query String
creationDateTime datetimeoffset Filterable Sortable optional
fillingId string / guid Filterable optional
id string / guid Filterable optional
lastModifiedDateTime datetimeoffset Filterable Sortable optional
stageId string / guid Filterable optional
userId string / guid Filterable optional
sort string Comma separated sort order based on sortable properties optional
offset integer Offset value for use in pagination Default: 0 optional
limit integer Total objects to fetch (max 1000) Default: 200 optional
Responses
application/json
JSON
{"count":2,"data":[{"id":"84bb1ce1-feeb-4b9b-b4e0-bd2e79381bc4","url":null,"fillingId":"8226d1ab-e6e3-41dd-a347-665ffe7a3a6c","fillingUrl":null,"stageId":"3d1d71ef-b4d3-41f8-aa41-cedbcf21c5b3","stageUrl":null,"userId":"0b4df80a-8812-4c52-a342-e90d263ba533","userUrl":null,"creationDateTime":"2026-10-21T07:56:38.6342538+00:00","lastModifiedDateTime":"2026-10-22T07:56:38.6342538+00:00","value":"Stage Comment 1","medias":[{"id":"5e04c54a-3138-4def-9b63-14774dfe7947","downloadUrl":null,"referenceUrl":null,"contentType":"image/png","fileName":"png"},{"id":"20f15af6-7ff7-4d2b-880b-350a81213beb","downloadUrl":null,"referenceUrl":null,"contentType":"image/png","fileName":"png"}]},{"id":"2c164712-dca9-4ef0-96b0-9595db2b0925","url":null,"fillingId":"620dabdf-d7f3-4624-b3c8-4197a8080398","fillingUrl":null,"stageId":"fa0c1ce4-6031-4e07-af4d-be9ffcf23ddb","stageUrl":null,"userId":"6219d4b2-90b4-4810-96fd-a23d0458d0cf","userUrl":null,"creationDateTime":"2026-10-21T07:56:38.6342538+00:00","lastModifiedDateTime":null,"value":"Stage Comment 2","medias":[]}]}
object
  count integer      
  ⯈ data array[object]      
   creationDateTime datetimeoffset      
   fillingId string / guid      
   fillingUrl string      
   id string / guid      
   lastModifiedDateTime datetimeoffset      
   ⯈ medias array[object]      
    contentType string      
    downloadUrl string      
    fileName string      
    id string / guid      
    referenceUrl string      
   stageId string / guid      
   stageUrl string      
   url string      
   userId string / guid      
   userUrl string      
   value string      
  nextUrl string      
  previousUrl string